# MongoLog::setLevel

(PECL mongo >= 1.2.3)

MongoLog::setLevel — Sets the level(s) to be logged

### Description

public static MongoLog::setLevel ( int `$level` ) : void

This function can be used to control logging verbosity and the types of activities that should be logged. The MongoLog level constants may be used with bitwise operators to specify multiple levels.

`<?php
// first, specify a logging module
MongoLog::setModule(MongoLog::CON);
// log messages for every level
MongoLog::setLevel(MongoLog::ALL);
// log warning and info messages only
MongoLog::setLevel(MongoLog::WARNING|MongoLog::INFO);
// log everything except fine activity
MongoLog::setLevel(MongoLog::ALL & (~MongoLog::FINE));
?>`

Note that you must also call MongoLog::setModule() to specify which modules(s) of the driver should log.

### Parameters

`level`

  The level(s) you would like to log.